draugr.multiprocessing\_utilities.pooled\_queue\_processor.PooledQueueProcessor
===============================================================================



.. currentmodule:: draugr.multiprocessing_utilities.pooled_queue_processor

.. autoclass:: PooledQueueProcessor
   :members:
   :show-inheritance:
   :inherited-members:

   
   .. automethod:: __init__

   
   .. rubric:: Methods

   .. autosummary::
   
      ~PooledQueueProcessor.__init__
      ~PooledQueueProcessor.close
      ~PooledQueueProcessor.fill
      ~PooledQueueProcessor.get
      ~PooledQueueProcessor.maybe_fill
      ~PooledQueueProcessor.put
      ~PooledQueueProcessor.raise_error
      ~PooledQueueProcessor.terminate
   
   

   
   
   .. rubric:: Attributes

   .. autosummary::
   
      ~PooledQueueProcessor.queue_size
   
   